Subject: Re: [bug#63008] gdb on aarch64

From: Efraim Flashner <[email-masked]>
Date: Sat, 20 May 2023 23:00:46 +0300

On Tue, Apr 25, 2023 at 03:01:15PM +0300, Efraim Flashner wrote:
> On Mon, Apr 24, 2023 at 10:12:35PM +0200, Andreas Enge wrote:
> > Hello Pierre,
> > 
> > Am Mon, Apr 24, 2023 at 08:04:18PM +0100 schrieb Pierre Langlois:
> > > I think the main reason we still have gdb 11 is to make sure we don't
> > > rebuild the rust world. I'm afraid if we don't do update it know, we'll
> > > have to do it quite soon, can the rust world be rebuilt on a staging
> > > branch soon after the core-updates merge?
> > 
> > definitely, there already is a rust-team branch, and the rust team is in
> > the starting block. Discussing gdb in this context would probably be
> > a good idea!
> 
> I was able to build rust-1.60 on core-updates on x86_64 using
> gdb-minimal. IMO we should switch to that for aarch64/riscv64 and then
> I'll switch x86_64 over to it later in the rust-team branch.

I've since switched rust to using gdb-12.1 and removed gdb-11 from Guix.
Closing this bug!

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted